# Generated from pulsar-jekyll-code-example-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pulsar-jekyll-code-example

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: Tags for including code examples in posts and pages
License: BSD-3-Clause
URL: https://github.com/Stanton/pulsar-jekyll-code-example
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Provides a tag that allows you to include in your posts 
and pages code examples for multiple langagues that are 
kept in seperate files. Another tag allows you to combine
all code examples that are on a page.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/pulsar-jekyll-code-example.gemspec
%{gem_instdir}/spec

%changelog
* Tue Aug 24 2021 mockbuilder - 1.0.0-1
- Initial package
